Bug 136589 - Error in startkde script when calling `which fs`
Summary: Error in startkde script when calling `which fs`
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-21 01:28 UTC by Jonathan Wakely
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 10:35:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Prevent error when `which fs` returns nothing (430 bytes, patch)
2004-10-21 01:29 UTC, Jonathan Wakely
no flags Details | Diff

Description Jonathan Wakely 2004-10-21 01:28:08 UTC
Description of problem:

Error in startkde script

Version-Release number of selected component (if applicable):

kdebase-3.2.2-6.FC2

How reproducible:

Run "startx"

Steps to Reproduce:
1. startx
2. look at messages on console
3.
  
Actual results:

stderr shows:
which: no fs in
(/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/redi/bin)
/usr/bin/startkde: line 16: [: argument expected

Expected results:

No error.

Additional info:

Line 16 of startkde should not call `which fs` when no AFS.
Improvement is to surround `which fs` in double-quotes to
prevent error from '[' command when `which fs` returns nothing.

Comment 1 Jonathan Wakely 2004-10-21 01:30:00 UTC
Created attachment 105569 [details]
Prevent error when `which fs` returns nothing

Comment 2 Ngo Than 2004-10-21 10:35:25 UTC
it's fixed in kde-3.3.1 long ago. you find kde-3.3.1 for FC2 on
ftp.kde.org.

Comment 3 Jonathan Wakely 2004-10-23 00:55:45 UTC
Apologies, I couldn't find mention of it in this bugzilla.
ftp.kde.org has no x86_64 rpms, but I can wait.


Note You need to log in before you can comment on or make changes to this bug.